try: input=raw_input
except: pass

import sys

def mirror(H):
  N = len(H)
  for i in range(N//2):
    a = H[i]
    H[i] = H[N-1-i]
    H[N-1-i] = a

def dist(H):
  N = len(H)
  L = []
  d = (0,1)
  c = -1
  for i in range(N):
    while c > -1 and H[L[c]] < H[i]:
      c = c-1
      L.pop()
    if c > -1:
      (a1,b1) = distance(H,L[c],i)
      (a2,b2) = d
      if a1 * b2 > a2 * b1:
        d = (a1,b1)
    c = c+1
    L.append(i)
  return d

def distance(H,x,z):
  n = H[z] - H[x+1]
  d = H[x] - H[x+1]
  g = gcd(n, d)
  n = n // g
  d = d // g
  n = n + (z - x - 1) * d
  return (n, d)

def gcd(a,b):
  while b > 0:
    a = a - b * (a // b)
    if a == 0:
      return b
    b = b - a * (b // a)
  return a

N = int(input())
H = list(map(int,input().split()))
(a1,b1) = dist(H)
mirror(H)
(a2,b2) = dist(H)
if a1 * b2 > a2 * b1:
  print(str(a1)+"/"+str(b1))
elif a2 == 0:
  print(0)
else:
  print(str(a2)+"/"+str(b2))
