import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class VincentWA2 {
	private static double s;
	private static long d;
	
	private static void read() throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		String NS = br.readLine();
		String[] HS = br.readLine().split(" ");
		br.close();
		int N = Integer.parseInt(NS);
		long[] H = new long[N];
		for (int i = 0; i < N; i++) {
			H[i] = Integer.parseInt(HS[i]);
		}

		score(H);
		for (int i = 0; i < N-1-i; i++) {
			long l = H[i];
			H[i] = H[N-1-i];
			H[N-1-i] = l;
		}
		score(H);
		System.out.println(s == 0 ? "0" : ((long)(d * s + 0.5d) + "/" + d));
	}

	private static double distance(long[] H, int x, int z) {
		double n = H[z] - H[x + 1];
		long d = H[x] - H[x + 1];
		return z - x - 1 + n / d;
	}
	
	private static void score(long[] H) {
		int N = H.length;
		int[] front = new int[N];
		int c = -1;

		for (int i = 0; i < N; i++) {
			while (c >= 0 && H[i] > H[front[c]]) {
				c--;
			}
			if (c != -1) {
				double s2 = distance(H, front[c], i);
				if (s2 > s) {
					s = s2;
					d = H[front[c]] - H[front[c]+1];
				}
			}
			c++;
			front[c] = i;
		}
	}

	public static void main(String[] args) throws IOException {
		read();
	}
}

